Subject: [Mip6] Re: mip6-hareliability-01 review

From: Ryuji Wakikawa <[email-masked]>
Date: Fri, 22 Jun 2007 04:10:23 +0900

Dear Wesley,

On 2007/06/20, at 22:16, Wesley Eddy wrote:

> I've read draft-ietf-mip6-hareliability-01 and have a few minor  
> comments.
> I'm not subscribed to mip6, but feel free to forward these there.

First of all, thanks for your detailed comments.

> In general, I think the approach is good and will work well.  Both the
> local and geographically distributed modes might be simultaneously
> useful in supporting aeronautical mobile networking.
> I wonder what the implications for this work are if the IFARE work
> stalls, though?  Some modes it's intended to work in may be  
> unaffected,
> but others won't be supportable.

If IFARE gets solution ready, we can update this HAreliability  
accordingly.
However, it is just too early to include IFARE work in this document.
We can revise the HA reliability as hareliability-bis later.

> On page 11, "This geographic redundancy is not a requirement by any
> SDO", is probably too strong.  There are a lot of SDOs, and some are
> still waiting to define architectures based on Mobile IP.  When  
> they do,
> they may require geographic redundancy for safety-critical uses.  I
> would suggest simply rewording to "This geographic redundancy is not
> required by most SDOs".
> On pages 27-28, talking about sending Hello messages, I believe there
> should be some discussion on picking initial sequence numbers,  
> wrapping,
> etc., which should be pretty simple.
> In 7.7.1, I don't think it's quite enough to say "It MUST set a random
> value in the Identifier field".  This should, more strongly, be "It
> MUST set a random value in the Identifier field that does not coincide
> with any other currently pending Requests."

Agree on all the comments above. We will fix these.

> At the end of section 9, I think something on replay protection  
> windows
> is needed.  There are a few "clever" things you can do with deltas or
> derivatives to limit the amount of messaging required.

Can you elaborate "something" a little further.

> Spelling/Grammar Nits:
>
> page 8: "only tje active" -> "only the active"
>
> page 25: "because it's lifetime" -> "because its lifetime"
>
> page 25: "< xref" -> "<xref"
>
> page 28: "sending own Hello" -> "sending its own Hello"
>
> page 28: "with the own Group ID" -> "with its own Group ID"

Thanks for your review, again.
We will submit -02 document before this IETF.

regards,
ryuji

>
> -- 
> Wesley M. Eddy
> Verizon Federal Network Systems
>

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6